PHP 手冊
前一頁 |  | 下一頁

# CXV. SOAP Functions

# 介紹

The SOAP extension can be used to write SOAP Servers and Clients. It supports subsets of SOAP 1.1, SOAP 1.2 and WSDL 1.1 specifications.

# 需求

This extension makes use of the GNOME xml library. Download and install this library. You will need at least libxml-2.5.4.

# 安裝

This extension is only available if PHP was configured with --enable-soap.

# 執行時期組態

`php.ini`中的設定會影響這些函數的行為。

表格 1. SOAP Configuration Options

Name | Default | Changeable
--- | --- | ---
soap.wsdl_cache_enabled | "1" | PHP_INI_ALL
soap.wsdl_cache_dir | "/tmp" | PHP_INI_ALL
soap.wsdl_cache_ttl | 86400 | PHP_INI_ALL

For further details and definitions of the PHP_INI_* constants, see the 附錄 H.

這裡為簡短的結構指令說明。

soap.wsdl_cache_enabled boolean

  Enables or disables the WSDL caching feature.

soap.wsdl_cache_dir string

  Sets the directory name where the SOAP extension will put cache files.

soap.wsdl_cache_ttl int

  Sets the number of seconds (time to live) that cached files will be used instead the originals.

# 預先定義類別

## SoapClient

### Constructor

- SoapClient->__construct() - constructs a new SoapClient object

### Methods

- SoapClient->__call() - Calls a SOAP function (deprecated)

- SoapClient->__doRequest() - Performs a SOAP request

- SoapClient->__getFunctions() - Returns list of SOAP functions

- SoapClient->__getLastRequest() - Returns last SOAP request

- SoapClient->__getLastRequestHeaders() - Returns last SOAP request headers

- SoapClient->__getLastResponse() - Returns last SOAP response

- SoapClient->__getLastResponseHeaders() - Returns last SOAP response headers

- SoapClient->__getTypes() - Returns list of SOAP types

- SoapClient->__setCookie() - Sets the cookie that will be sent with the SOAP request

- SoapClient->__soapCall() - Calls a SOAP function

## SoapFault

### Constructor

- SoapFault->__construct() - construct a new SoapFault object

## SoapHeader

SoapHeader is a special low-level class for passing or returning SOAP headers. It's just a data holder and it does not have any special methods except its constructor. It can be used in the SoapClient->__soapCall() method to pass a SOAP header or in a SOAP header handler to return the header in a SOAP response.

### Constructor

- SoapHeader->__construct() - construct a new SoapHeader object

## SoapParam

SoapParam is a special low-level class for naming parameters and returning values in non-WSDL mode. It's just a data holder and it does not have any special methods except its constructor.

### Constructor

- SoapParam->__construct() - construct a new SoapParam object

## SoapServer

### Constructor

- SoapServer->__construct() - construct a new SoapServer object

### Methods

- SoapServer->addFunction() - Adds one or several functions those will handle SOAP requests

- SoapServer->fault() -

- SoapServer->getFunctions() - Returns list of defined functions

- SoapServer->handle() - Handles a SOAP request

- SoapServer->setClass() - Sets class which will handle SOAP requests

- SoapServer->setPersistence() - Sets persistence mode of SoapServer

## SoapVar

SoapVar is a special low-level class for encoding parameters and returning values in non-WSDL mode. It's just a data holder and does not have any special methods except the constructor. It's useful when you want to set the type property in SOAP request or response.

### Constructor

- SoapVar->__construct() - construct a new SoapVar object

# 預先定義常數

以下的常數由此延伸定義，只在這個延伸被編譯成PHP或實行時期被動態載入時有效。

`SOAP_1_1` (integer)

`SOAP_1_2` (integer)

`SOAP_PERSISTENCE_SESSION` (integer)

`SOAP_PERSISTENCE_REQUEST` (integer)

`SOAP_FUNCTIONS_ALL` (integer)

`SOAP_ENCODED` (integer)

`SOAP_LITERAL` (integer)

`SOAP_RPC` (integer)

`SOAP_DOCUMENT` (integer)

`SOAP_ACTOR_NEXT` (integer)

`SOAP_ACTOR_NONE` (integer)

`SOAP_ACTOR_UNLIMATERECEIVER` (integer)

`SOAP_COMPRESSION_ACCEPT` (integer)

`SOAP_COMPRESSION_GZIP` (integer)

`SOAP_COMPRESSION_DEFLATE` (integer)

`UNKNOWN_TYPE` (integer)

`XSD_STRING` (integer)

`XSD_BOOLEAN` (integer)

`XSD_DECIMAL` (integer)

`XSD_FLOAT` (integer)

`XSD_DOUBLE` (integer)

`XSD_DURATION` (integer)

`XSD_DATETIME` (integer)

`XSD_TIME` (integer)

`XSD_DATE` (integer)

`XSD_GYEARMONTH` (integer)

`XSD_GYEAR` (integer)

`XSD_GMONTHDAY` (integer)

`XSD_GDAY` (integer)

`XSD_GMONTH` (integer)

`XSD_HEXBINARY` (integer)

`XSD_BASE64BINARY` (integer)

`XSD_ANYURI` (integer)

`XSD_QNAME` (integer)

`XSD_NOTATION` (integer)

`XSD_NORMALIZEDSTRING` (integer)

`XSD_TOKEN` (integer)

`XSD_LANGUAGE` (integer)

`XSD_NMTOKEN` (integer)

`XSD_NAME` (integer)

`XSD_NCNAME` (integer)

`XSD_ID` (integer)

`XSD_IDREF` (integer)

`XSD_IDREFS` (integer)

`XSD_ENTITY` (integer)

`XSD_ENTITIES` (integer)

`XSD_INTEGER` (integer)

`XSD_NONPOSITIVEINTEGER` (integer)

`XSD_NEGATIVEINTEGER` (integer)

`XSD_LONG` (integer)

`XSD_INT` (integer)

`XSD_SHORT` (integer)

`XSD_BYTE` (integer)

`XSD_NONNEGATIVEINTEGER` (integer)

`XSD_UNSIGNEDLONG` (integer)

`XSD_UNSIGNEDINT` (integer)

`XSD_UNSIGNEDSHORT` (integer)

`XSD_UNSIGNEDBYTE` (integer)

`XSD_POSITIVEINTEGER` (integer)

`XSD_NMTOKENS` (integer)

`XSD_ANYTYPE` (integer)

`SOAP_ENC_OBJECT` (integer)

`SOAP_ENC_ARRAY` (integer)

`XSD_1999_TIMEINSTANT` (integer)

`XSD_NAMESPACE` (string)

`XSD_1999_NAMESPACE` (string)

前一頁 | 內容 | 下一頁
snmpwalkoid | 上一層 | is_soap_fault